Delete Notification - m3ter Documentation
Delete Notification
cURL
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.delete("https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Status Codes
- 200
- 4XX
- 5XX
Example JSON Response
{
"id": "<string>",
"name": "Commitment has under 10% remaining",
"description": "Commitment amount fell below 10%",
"code": "commitment_under_10_percent",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"active": true,
"alwaysFireEvent": false,
"eventName": "configuration.commitment.updated",
"calculation": "(new.amountSpent >= ((new.amount*90)/100)) \nAND ((old.amountSpent <= ((old.amount*90)/100)) OR (old.amountSpent == null))"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorization
- Authorization
- Type:
string - Location:
header - Required: Yes
- Description: m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow. TheauthorizationCodeflow controls access for human users via the m3ter Console application.
- Type:
Path Parameters
orgId:
- Type:
string - Required: Yes
- Description: The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
- Type:
id:
- Type:
string - Required: Yes
- Description: The unique identifier (UUID) of the Notification to delete.
- Type:
Response Fields
- id:
- Type:
string - Required: Yes
- Type:
- name:
- Type:
string - Required: Yes
- Minimum string length:
1 - Example:
"Commitment has under 10% remaining"
- Type:
- description:
- Type:
string - Required: Yes
- Minimum string length:
1 - Example:
"Commitment amount fell below 10%"
- Type:
- code:
- Type:
string - Required: Yes
- Minimum string length:
1 - Example:
"commitment_under_10_percent"
- Type:
- version:
- Type:
integer<int64> - Description: Version number for the notification.
- Type:
- dtCreated:
- Type:
string<date-time> - Description: Creation date in ISO-8601 format.
- Type:
- dtLastModified:
- Type:
string<date-time> - Description: Last modified date in ISO-8601 format.
- Type:
- createdBy:
- Type:
string - Description: ID of user who created this item.
- Type:
- lastModifiedBy:
- Type:
string - Description: ID of user who last modified this item.
- Type:
- active:
- Type:
boolean - Description: Indicates if the notification is active.
- Type:
- alwaysFireEvent:
- Type:
boolean - Description: Indicates if the notification always triggers.
- Type:
- eventName:
- Type:
string - Description: Name of the event associated with the notification.
- Type:
- calculation:
- Type:
string - Description: Logical expression for triggering the notification.
- Type: